About

The About dialog box displays information about a selected source device, and the revision levels for some of the software modules associated with that source device.

  • To access the About Dialog Box

  1. Open your ImageControls application.

  2. From the Help menu, select About [Application Name].


Annotation Properties

The Annotation Properties dialog box allows you to enable the text annotation feature, and select font preferences for it. This feature can be used to add text to an electronic image. For example, annotations can be used for adding page numbers, date stamps, or any other general information to an image. This dialog box becomes available when you select Annotation Properties from the Imaging menu of the application.

Note Annotations are only available when using a source device based on a Kofax hardware accelerator. In addition, annotations are permanent.

Annotation Enable

Select this check box to enable annotations. Then, select your font preferences from the other options on this dialog box.

Font

The options in this group allow you to select font attributes for the text to be annotated on your image(s). As you make your selections, the text in the Sample Font viewer will be displayed with the selected attributes.

Font

Select the text annotation font. You can choose from the following:

Sans Serif This is an example of a sans serif font.

Serif This is an example of a serif font.

Size

Select the desired point size. You can choose from the following: 8, 10, or 12 points.

DPI

Select the resolution for the font. You can choose from the following: 200 or 300 dots per inch.

Background

Select the font background mode. To see an example of the font background modes, click here.

Transparent Indicates that the image should show through the text background.

Opaque Indicates that the text and background should overlay the image.

Direction

The option in this group allows you to specify the direction (orientation) for your annotation text to be written on your image(s). When you make your selection, the text in the Sample Font viewer will be displayed in the selected direction. Select the direction for the annotation text to be written on the image. You can choose either horizontal or vertical. To see an example of the available text annotation directions, click here.

Note Not all combinations of rotation and direction are valid.

Rotation

The option in this group allows you to specify how you want your annotation text to be rotated on your image(s). When you make your selection, the text in the Sample Font viewer will be displayed in the selected rotation. Select the desired rotation for the annotation text. You can choose 0, 90, 180, or 270 degrees of rotation. To see an example of the available text annotation rotation options, click here.


Automatic Endorser/Annotation Properties

The Automatic Endorser/Annotation Properties dialog box allows you to enable and/or disable the automatic endorser/annotation feature. With this feature enabled, you can build a text string from a text prefix and numeric counter value, and use the string to endorse and/or annotate pages and images. Automatic annotations can be used independently from the automatic endorser and vice versa. Once added to the page or image, endorser and annotation strings are permanent.

Note Automatic endorser/annotations are only available when using a scanner source device based on Adrenaline hardware with run time v3.1 (or above). In addition, the scanner must be equipped an endorser.

Enable Automatic Annotation

Select this check box to enable automatic annotations. Then, select endorser/annotation preferences from the other options on the dialog box.

Enable Automatic Endorser

Select this check box to enable the automatic endorser feature. Then, select endorser/annotation preferences from the other options on the dialog box.

You can select options from the following groups on the Automatic Endorser/Annotation Properties dialog box:

Text Definition

Font Setting

Counter Start

Counter Increment

Counter Reset


Bar Code Properties

The bar code recognition feature can be used to detect bar codes on an image and convert them to their ASCII equivalents. The bars in a bar code alternate between black and white and each bar is classified as either wide or narrow.

During a bar code recognition operation, the image being processed is searched for possible bar codes. If a potential bar code is found, it is examined to determine if it satisfies all the requirements for the operation. For example, the physical characteristics of the bar code (such as bar code type and minimum number of characters in the bar code) are checked against the requirements selected for the operation.

Recognition

Enable

Select this check box to enable bar code recognition. Then, select your bar code recognition preferences for your operation from the other options on this dialog box.

Use Scanner

Select this check box if you want to use your scanner's built-in bar code recognition drivers.

Note Not all scanners support their own recognition drivers. For those that do, you must also enable this feature from the front panel of the scanner. Refer to the documentation that came with your scanner for more information about your scanner.

Learn

Select this check box to enable the bar code recognition "learn" mode. Then, select the directions you want to search and the desired bar codes type(s).

You can select options from the following groups on the Bar Code Properties dialog box:

Interpret Bar Code as Patch Code

Bar Size

Limits

Search Direction

Quality

Checksum

Type

To help you optimize the bar code detection feature, the following topics are provided:

Improving Bar Code Detection Accuracy

Optimizing Bar Code Detection Speed


Black Border Properties

Black borders often appear on images as a result of capturing them on a scanner with a black belt or drum. For example, this can happen when using one of the Bell+Howell Copiscan II scanners. If black borders exist on your images, you can remove them with the black border removal or the black border cropping features.

  • With black border removal, the black border pixels are changed to white pixels on the image. This cleans up the image without changing the height and width of the image.

  • With black border cropping, the black border pixels are removed from the image. This cleans up the image and reduces the height and width of the image by the size of the black border.

Both black border removal and black border cropping produce cleaner images for OCR processing and help reduce compressed file sizes.

Note To maximize performance, it is recommended that you have an Adrenaline image processing accelerator installed in your system.

Enable

Select this check box to enable the black border removal feature. Then, select other preferences as desired.

Crop

Select this check box to enable the black border cropping feature.

White Noise Gap

Enter the maximum number of consecutive white pixels (white noise) to ignore in the black border. You can select from 0 to 10 pixels. Click here for more information about how black borders are removed and tips for selecting a value for White Noise Gap.


Deshade Properties

The Deshade feature removes unwanted shaded areas from an image. Shaded areas on an image are made up of a pattern of black speckles. The deshade algorithm removes the speckles that make up the shaded area while preserving the text inside the shaded area. Removing shaded areas improves OCR accuracy, and also helps reduce compressed file sizes.

Note To maximize performance, it is recommended that you have an Adrenaline hardware accelerator installed in your system.

Enable Detection

Select this check box to detect shaded areas on a scanned image.

Removal

To remove shaded areas from an image, you must define the characteristics of the shaded areas you want to remove. To define the shaded areas to remove, you must specify the height and width of the areas and the size of the speckles in them. All shaded areas that satisfy the defined characteristics will be removed. Any text that appears within a shaded area will be preserved.

When shade detection is enabled, the options listed below should be set to remove shaded areas on an image. To see an example of the deshade settings, click here.

Enable

Select the Enable check box to remove shaded areas on a scanned image.

Minimum Width of Area

This is the minimum width of the shaded area on an image to be removed.

Minimum Height of Area

This is the minimum height of the shaded area on an image to be removed.

Maximum Speckle Width

This is the maximum width of a speckle within a shaded area.

Maximum Speckle Height

This is the maximum height of a speckle within a shaded area.

Speckle Width Compensation

This is a positive or negative horizontal adjustment value for the size of a speckle to remove when deshading an image. This adjustment value accounts for horizontal differences in speckle sizes within a shaded area.

The adjustment value is added to the detected Speckle Width of the speckles in the shaded area to determine which speckles are to be removed. For example, set this property to 1 to remove all speckles in the shaded area up to the detected Maximum Speckle Width plus 1 pixel. Conversely, set this property to -1 to remove all speckles in the shaded area up to the detected Maximum Speckle Width minus 1 pixel.

For example, if the deshade algorithm detects a shaded area with a speckle size of 3, it will remove speckles in the shaded area that have a width less than or equal to 4.

Speckle Height Compensation

This is the same as the Speckle Width Compensation setting, but you set the height instead of the width.

Click here for an example showing the results of a deshade operation.

Click here for shade removal hints.


Deskew Properties

Because of the mechanical feeding action of scanners, documents may get out of alignment during the scan process. This produces documents with varying amounts of misalignment, referred to as skew. Click here for an example of a skewed document.

The deskew feature can calculate and correct skew angles up to 12 degrees. Correcting an image for skew can be useful for making the image more readable and for improving post-processing operations such as bar code recognition or OCR. The deskew value can be set in increments of 0.1 degrees.

Enable Detection

Select this check box to detect skewed images. Then, select other preferences from the other options on the dialog box.

Correction

Enable

Select this check box to "straighten" skewed images.

Minimum Angle

Select the minimum amount of skew that must be corrected. For example, if the image is skewed 5 degrees and you select a minimum angle of 2 degrees, the skew will be corrected. If the image is skewed less than the minimum angle value, no correction will be performed.

To specify the minimum angle, use the up/down selection arrows or type the value. The value you can select depends on the setting for the maximum skew angle. For example, if the maximum skew angle is set to 10 degrees, the highest allowable value for the minimum skew angle is 9.9 degrees.

Maximum Angle

Select the maximum amount of skew that must be corrected. For example, if the image is skewed 10 degrees and you select a maximum angle of 12 degrees, the skew will be corrected. If the image is skewed more than the maximum angle value, no correction will be performed.

To specify the maximum angle, use the up/down arrows or type the value. The value you can select depends on the setting for the minimum skew angle. For example, if the minimum skew angle is set to 10 degrees, the lowest allowable value for the maximum skew angle is 10.1 degrees.

Click here for an example showing the results of a deskew operation.

Click here for hints on deskewing images.


Despeckle Properties Dialog Box

Despeckle Properties

The despeckle feature removes unwanted dots or speckles on an image. Speckles are groups of black pixels surrounded by white pixels (or white pixels surrounded by black pixels). Removing speckles provides a cleaner image for OCR processing, and also helps reduce compressed file sizes.

Note To maximize performance, it is recommended that you have an Adrenaline hardware accelerator installed in your system.

Enable

Select this check box to activate the despeckle feature. Then, select your height and width preferences for the despeckle operation.

Height and Width

Select the maximum height and width of a speckle to be removed during the despeckle operation. All speckles with a height and width less than or equal to the Height and Width settings will be removed. You can select any value between 1 and 32 pixels.

Note that even speckles with gaps will be detected and removed.

Click here to see an example of the despeckle settings.

Click here for an example showing the results of a despeckle operation.

Click here for hints on removing speckles from an image.


Forms Recognition Properties Dialog Box

Forms Recognition Properties

The forms recognition feature allows you to compare a scanned or imported image against one or more predefined master forms. A master form is an image already scanned and saved to disk. The forms recognition feature is useful for automatically identifying form document types.

Forms recognition requires the following:

  • A library of master forms must be in a directory that is accessible to your application. Master forms are images (such as TIFF Group 3 or TIFF Group 4 or any other supported format) stored on disk.

  • Forms recognition must be enabled .

  • One or more master forms must be selected and forms recognition settings must be specified prior to scanning or importing images.

  • With forms recognition enabled, an image must be scanned or imported from disk. The scanned or imported image is evaluated and matched against the selected master forms, and the recognition results are returned. Recognition results include a list of forms that are most likely and least likely to match the scanned or imported image. Page registration information is also returned.

The Forms Recognition Properties dialog box allows you to set various options for the forms recognition feature. The following help topics are available:

Enable Forms Recognition

Quality

Options

Using the Forms Recognition Feature


Image Filter Properties Dialog Box

The image filter feature provides filters you can use to enhance the edges of lines and characters on an image. Using these filters emphasizes the edges of your image elements providing a cleaner image and improving its readability. For example, if the edges of text characters on your image appear to be choppy and surrounded by extraneous noise, you might use the Character Smoothing filter to remove the noise and smooth the characters. This could improve the image for OCR processing.

The Image Filter Properties dialog box allows you to select the filter algorithms to use for image filtering. Nine filters are supported. You can process your image with one or more at a time.

Character Smoothing

Smooth and Clean

Smooth, Clean, and Preserve

Thinning Filter

Light Thicken Filter

Thicken Filter

Fill Line Breaks

Fill Line Breaks and Preserve

Outline

To see an example of the results of using these image filters, click here.

Note When using the image filters, it is recommended that you process a test image to determine the best settings for your application. The default settings, which have been calibrated for typical, real-world images, should work in most cases. No adjustments should be necessary. If adjustments are necessary, they should be made carefully to achieve the desired results.

For guidelines on using the image filters, click here.


Line Removal Properties

If your images contain horizontal and/or vertical lines (for example, a medical claims form), you can remove them with the line removal feature.

This feature can also repair text that intersects the lines that are removed. Removing lines and repairing characters improves the readability of the image for OCR processing.

Note To maximize performance, it is recommended that you have an Adrenaline hardware accelerator installed in your system.

To removal horizontal lines, make your selections from the following options. To remove vertical lines or repair text, make your selections from other options on the dialog box.

Enable Horizontal Line Removal

Select this check box to enable the horizontal line removal feature.

Minimum Length

Select the minimum length of a horizontal line to remove.

Maximum Height

Select the maximum height of a horizontal line to remove.

Maximum Break

Select a value to use for determining if a white speckle detected in a black line is white noise or the end of the line.

Edge Clean Factor

Select an edge cleanup factor to use during a line removal operation. Typically, a certain amount of black noise (random black speckles) exists on the edges of lines on an image. When a line is removed, this noise remains leaving unwanted speckles on the image. Specifying a line edge clean factor causes these unwanted speckles to be removed.

You can select options from the following groups on the Line Removal Properties dialog box:

Vertical Line Removal

Horizontal Character Reconstruction

Vertical Character Reconstruction

Click here to see an example showing horizontal line removal settings.

Click here to see an example showing the results of a horizontal line removal operation.

Click here for hints on removing horizontal lines from an image.


Patch Code Properties (Advanced)

This dialog box can be used to enable or disable patch code detection and specify the location of the patch code. It can also be used to enable or disable the patch code trigger feature and select the patch code types to stop the scanner.

Click here for more information about patch codes.

Click here for more information about which patch codes are supported.

Use the following options to enable patch code detection:

Enable

Select this check box to enable the patch code detection.

Use Scanner

Select this check box if you want to use your scanner's built-in patch code recognition drivers.

Note Not all scanners support their own recognition drivers. For those that do, you must also enable this feature from the front panel of the scanner. In addition, your scanner's recognition drivers might only be able to recognize certain patch code types. Refer to the documentation that came with your scanner for more information about your scanner.

Left Offset to Center of Patch Code

Select a value from the left edge of the page that defines a point that falls near the center of the patch code. The offset value allows the patch code detection feature to quickly locate the patch code on the page. This offset can be any value between 0 and the maximum page width, in inches. A value of 0 specifies searching anywhere in the horizontal direction for a patch code.

To be detected, patch codes must be positioned correctly on the page:

  • The patch code must be horizontal

  • It must be located at least 0.20 inches from the leading edge of the image

  • It must not extend beyond 3.75 inches from the leading edge of the image

Click here for an example showing typical patch code placement.

Note In compliance with the patch code specification, for duplex scanning operations, patch codes are only detected on the front side of a page. Patch codes on the back side of a page are ignored.

Other Options on the Dialog Box

Stop on Patch Code


Source Properties

This dialog box is used to specify general operation parameters for your image "source." You can scan new images with a scanner or import existing images from disk.

Front Picking Rectangle

A picking rectangle specifies a portion of a scanned or imported image that should be saved. This feature allows selective clipping of the image in cases where excess scanned data is not wanted. The values you select apply for the front side of the page only.

Note If no picking rectangle is specified (the default), the entire image is scanned or imported. You can only have one picking rectangle defined for each side of a page.

Set the following to define the picking rectangle feature:

Enabled Select this check box to enable the picking rectangle feature.

English/Metric This button specifies that the dimensions set for the picking rectangle are in inches (English) or centimeters (Metric) rather than pixels.

Pixels This button specifies that the dimensions set for the picking rectangle are in pixels rather than inches or centimeters.

Set the following to specify the dimensions of the picking rectangle:

Top Offset relative to the top of the paper.

Left Offset relative to the left edge of the paper.

Width Width of the picking rectangle.

Height Height of the picking rectangle.

Back Picking Rectangle

When you are scanning in duplex mode, you can define a picking rectangle for the back side of a page. The options are the same as for the front picking rectangle described above.

Note This option is available for duplex scanning only.

Other Options on the dialog box:

Rotation (Front Side)

Rotation (Back Side)

Delete Blank Page Threshold (Front Side)

Delete Blank Page Threshold (Back Side)

Source Options

Note The "Back Side" options are available for duplex scanning only. Before setting these options, open the Scanner Properties dialog box, select "Duplex" in the Sides group box, and click OK.


Streak Removal Properties

Sometimes streaks are included on an image during the scan process. For example, they might occur as a result of the following:

  • Marks on the original page

  • Dust in the scanner assembly

  • Faulty scanner camera

The streak removal feature processes each horizontal scan line of the image to detect runs of black pixels. Any series of black pixels less than or equal to the specified streak width will be removed. Even though streak removal processes the image from left to right, its main purpose is to eliminate vertical streaks.

Click here to see an example of the streak removal settings.

Click here for an example showing the results of a streak removal operation.

Enable

Select this check box to activate the streak removal feature.

Streak Width

Select the width of the streaks to remove. Any vertical line with a width less than or equal to the value of the Streak Width setting will be removed.

For typical images, set the Streak Width to a value of 1 or 2 pixels. Since streak removal looks for any series of like pixels less than or equal to the streak width, setting the width too high could have an adverse effect on the image by eliminating image data.

  • How to Access the Streak Removal Properties Dialog Box

  1. In VCDemo, go to the Imaging menu.

  2. Select Streak Removal Properties.

-or-

  1. From Scan Demo, select the Image Scanning Properties icon.

  2. At the Image Scanning Properties dialog box, select the Settings button next to Remove Streaks in the Enhancement group.

Note To maximize performance, it is recommended that you have an Adrenaline hardware accelerator installed on your computer.


Display Properties

The Display Properties dialog box allows you to select various display options for images being displayed in a viewer window.

For example, you can rotate the image in the window, enhance the display of the image, or scale the image. These options affect the image for display purposes only.

Options on the dialog box:

Rotation

Display Attributes

Scaling


Reset

This box is displayed when you attempt to download firmware to the Kofax hardware accelerator (engine). After the firmware has been downloaded, press the OK button.

If an error occurs during the firmware download operation, the appropriate error message is displayed. For example, an error might occur if you have an Adrenaline hardware accelerator installed in your PC, and the interrupt level and I/O address are not set correctly on the accelerator.

  • How to access the Reset Message Box

  1. This box is displayed when you attempt to download firmware to the Kofax hardware accelerator (engine).


Scanner Properties

Scanner Properties dialog box

The Scanner Properties dialog box is used to specify general operation parameters for your scanner. The scanner make and model are automatically displayed as part of the dialog box caption.

Note The availability of the scan parameters, and the available values for each, depends on the capabilities of your scanner. Refer to the documentation that came with your scanner for detailed information about your scanner.

General

Source

Select a source for the pages to be scanned. The sources that are available depend on the capabilities of the selected scanner. Typical options are:

Panel Select this option if you want to control the source of your documents from the front panel of your scanner.

ADF (Automatic Document Feeder) Select this option if you want your pages to be fed from the ADF. This option is useful if your documents are of similar size and weight and in good condition.

Flatbed Select this option to use your scanner's flatbed. This could be useful for scanning delicate documents (such as transparencies or film) or if your documents are in poor condition.

Manual Select this option to manually feed your pages. This could be useful if your documents are in poor condition.

Destination

Select an output tray (destination) for the pages being scanned. The trays that are available depend on the capabilities of the selected scanner. Typical destination trays are:

Bin 1

Bin 2

Resolution (DPI)

Select the resolution you want your documents to be scanned. Resolution is expressed in dots per inch (DPI), and is a measure of the image detail the scanner can translate. The higher the resolution, the greater the amount of detail; however, more storage is required for images scanned at higher resolutions.

The resolutions that are available depend on the capabilities of the selected scanner. Typical options are:

Dpi 75 - 600 Select one of these options to set the resolution for your images.

Panel Select this option if you want to control the resolution from the front panel of your scanner.

Paper Size

Select the paper size of the source documents to be scanned. This can be any standard paper size, such as Letter, A4, B5, etc. supported by the selected scanner.

Note When using a Fujitsu scanner, selecting Panel as the Paper Size option will automatically change the Orientation setting (see below) to Panel. Therefore, to change the paper orientation from the scanner front panel, you must first set the Paper Size to Panel.

Orientation

Some scanners allow you to feed your pages into the scanner in Portrait or Landscape mode. In Portrait mode, the pages are fed by the shorter edge; in Landscape mode, the pages are fed by the longer edge.

For scanners that allow you to specify a scan direction, scanning in Landscape mode can improve scanning speed because the length of the area being scanned is shorter. To scan a Letter size page in Landscape mode, for example, the scanner only has to scan 8.5 inches of paper. To scan the same page in Portrait mode, the scanner must scan 11 inches of paper.

Select one of the following orientations for scanning your documents:

Portrait Select this option to scan your pages in portrait mode.

Landscape Select this option to scan your pages in landscape mode.

Panel Select this option if you want to control the orientation of your pages from the front panel of your scanner.

Once the pages are scanned, you can use the Front Side Rotation and/or Back Side Rotation option in the Source Properties dialog box to rotate the images to their desired orientation.

Note When using a Fujitsu scanner, selecting Panel as the Paper Size option will automatically change the Orientation setting to Panel. Therefore, to change the paper orientation from the scanner front panel, you must first set the Paper Size to Panel.

You can select options from the following groups on the Scanner Properties dialog box:

Timeout

Color Mode

Other

Sides

Options Button

Advanced Button


Select Source

The Select Source dialog box allows you to select the source device to use for scanning or importing images:

  • If you are selecting a scanner source, the Select Scan Source dialog box will be displayed.

  • If you are selecting a disk source, the Select Disk Source dialog box will be displayed.

Note Before you can select a source, you must first define/create the source(s) with the Scanner Configuration Utility.

Source

Select the desired source device from the drop-down list.

Properties Button

Click on the Properties button to display information about the selected source device:

  • For scanner source devices, scanner and accelerator information will be displayed.

  • For disk source devices, engine information will be displayed.

The information displayed will be read-only, and is provided so you can see how the source was defined. If you want to change any of the settings associated with a source device, you must use the Kofax Source Manager.

Advanced Button

Click on the Advanced button to display the Advanced Source Properties dialog box.

Note This button is only available for source devices based on Adrenaline hardware accelerators with run time v3.1 (or above). It is not available for Kodak scanners.


Storage Properties

This dialog box is used to specify the file type and compression format for the scanned and saved images.

File Type

Specifies the file type of the images to be scanned. The image file must be in one of the following standard image file formats:

TIFF Tagged image file format

PCX PC Paintbrush format

BMP Windows bitmap format (DIB files are written with .BMP extension)

JPG JPEG color format (Base line sequential JPEG format)

CALS Computer-aided Acquisition and Logistic Support Type 1

Compression

The compression format specifies the compression algorithm to be applied to the image before saving it. Compression is important because it reduces the amount of space required to store an image.

For example, a full page of uncompressed text scanned at 300 DPI might require 1 Mbyte of storage. That same page compressed using Group 3 (1 dimensional) might require only 80-100 Kbytes. Using Group 4 compression, the same page might require 40-60 Kbytes.

The Compression group allows you to select the compression format of the images to be scanned. The image file must be in one of the following standard image compression formats:

For TIFF file types:

Uncompressed No compression (raw)

CCITT Group 3 Group 3 (one dimensional)

CCITT Group 3/2D Group 3 (two dimensional)

CCITT Group 4 Group 4 (two dimensional)

TIFF2 TIFF Mode 2 (Group 3, one dimensional)

JPEG compression Color compression format

For PCX file types:

Packbytes PCX format

For BMP file types:

Uncompressed No compression (raw)

For JPG file types:

JPEG compression Color compression format

For CALS file types:

CCITT Group 4 Group 4 (two dimensional)


Print Setup Dialog Box

This is a standard Windows print dialog box.


Advanced Source Properties

This dialog box allows you to associate one or more advanced source properties with a source device so that whenever that source device is selected, the advanced features will be in effect. The options you select will override the advanced options (if any) configured for the source, and will become part of the configuration for that source device.

Note The image enhancement algorithms are only available for source devices based on Adrenaline hardware accelerators with run time v3.1 (or above). This feature is not available when using scanners that return compressed images, such as Kodak scanners. Contact your System Administrator if you need assistance.

Image Enhancement Enable

Select this check box to enable one of the Adrenaline hardware image filter algorithms for the source device.

Algorithm

Choose from the following algorithms:

Descreening A shade removal algorithm. It is especially useful if you want to remove halftones from your image (for example, when you are scanning photographs).

Image Smoothing An image smoothing algorithm. This is especially useful for smoothing characters and lines that seem jagged on your image.

Image Formatting

The options in this group allow you to select width alignment and JPEG compression quality for your images.

Enable Width Alignment

Width alignment forces the width of an image to be aligned on a specific boundary. This could be useful when images are rotated 90 degrees (the length becomes the new width), and the application requires image widths to be even multiples of 8 or 16. Choose from the following options:

Pad Width to Byte Boundary Pads image width up to the next multiple of 8

Pad Width to Word Boundary Pads image width up to the next multiple of 16

JPEG Compression Quality

JPEG compression quality specifies the desired image quality to be retained when images are compressed to JPEG format. This could be useful if the size of your JPEG files is an issue, and you are able to trade image quality for smaller files.

Specify any value from 0 to 100 for JPEG compression quality. Smaller values result in smaller compressed file sizes but reduced image quality. Larger values result in better image quality but larger compressed file sizes. Note that:

0 = Maximum compression and minimum quality

100 = Minimum compression and maximum quality

Paper Sizes

The paper size options allow you to select a paper size standard for the paper you use when processing your images. The following options are available:

Kofax Default Specifies that the paper dimensions are as defined by Kofax.

ISO Standard Specifies that the paper dimensions are as defined by ISO standards.

The default is Kofax Default.

Note The paper size options are only available for source devices based on Adrenaline hardware with run time v3.1 (or above). Contact your System Administrator if you need assistance.

  • How to Access the Advanced Source Properties Dialog Box

  1. In VCDemo, go to the Source menu.

  2. Select Scanner.

  3. At the Select Scan Source dialog box, select a source device from the list of Configured Sources.

  4. Select the Advanced button.


Text Annotation Direction and Rotation


Counter Increment

The options in this group allow you to control how the automatic endorser/annotation counter is incremented. For example, you can increment after a certain number of pages are scanned or you can increment whenever a certain patch code type is detected.

Increment Value

Enter an increment value for the automatic endorser/annotation counter. Whenever the counter is incremented, it will change by this value. For example, set this option to 1 if you want to increment the counter by 1 whenever it changes.

Inc Off

Select this option to turn off the automatic endorser/annotation counter. When this option is selected, no counter value will be appended to the automatic endorser/annotation string.

Inc On Page

Select this option to increment the automatic endorser/annotation counter after every n pages scanned. For example, set this option to 2 to increment the counter after every 2 pages scanned; set this property to 10 to increment the counter after every 10 pages scanned. The counter will be incremented by the Increment Value.

Note You can also reset the counter after a certain number of pages are scanned. If you are incrementing and resetting the counter after a certain number of pages are scanned, the value you enter for "Inc On Page" must be less than the value you enter for "Reset On Page." The "Reset On Page" option is available from the Counter Reset group.

Inc On Patch

Select this option to increment the automatic endorser/annotation counter when the specified patch code is detected. You can select from the following patch code types (click here to see examples of all types):

Patch I

Patch II

Patch III

Patch IV

Patch T

Patch VI


Counter Reset

The options in this group allow you to control how the automatic endorser/annotation counter is reset. For example, you can reset the counter after a certain number of pages are scanned or you can reset the counter whenever a patch code is detected.

Select other automatic endorser/annotation preferences with the following options:

Reset Value

Enter a reset value for the automatic endorser/annotation counter. Whenever the counter is reset, it will change to this value. The number of digits in the automatic endorser/annotation counter is controlled by the Digit option from the Counter Start group. Your number of digits in your reset value must be less than or equal to the number of digits in your counter.

Reset Off

Select this option to turn off resetting the counter.

Reset On Page

Select this option to reset the automatic endorser/annotation counter after every n pages scanned. For example, set this option to 10 to reset the counter after 10 pages scanned. The counter will be reset to the Reset Value.

You can also increment the counter after a certain number of pages are scanned. If you are incrementing and resetting the counter after a certain number of pages are scanned, the value you enter for "Reset On Page" must be greater than the value you enter for "Inc On Page." The "Inc On Page" option is available from the Counter Increment group.

Reset On Patch

Select this option to reset the automatic endorser/annotation counter when the specified patch code is detected. You can select from the following patch code types (click here to see examples of all types):

Patch I

Patch II

Patch III

Patch IV

Patch T

Patch VI

Note You can also increment the counter whenever a specified patch code type is detected, although you cannot use the same patch code type to increment and reset the counter. You specify how the counter is incremented from the Counter Increment group.


Counter Start

The options in this group allow you to specify a starting number for your automatic endorser/annotation counter and the number of digits to use.

Starting Number

Select a starting number for your automatic endorser/annotation counter. You must choose a number greater than 0. This number will only be used at the start of the first batch. When the counter is reset, it will be reset to the Reset Value specified in the Counter Reset group.

Digit

Select the number of digits for the automatic endorser/annotation counter. You can enter up to the maximum number of digits supported by your scanner. Refer to your scanner's documentation for more information about your scanner.

The number of digits you select will determine the maximum value for the counter. For example, if you specify 3 digits, the maximum value for your counter will be 999. If you specify 6 digits, the maximum value will be 999,999.

Note The automatic endorser/annotation string is made up of a text prefix and a counter, and you must consider the length of both to determine the length of the string. You specify the prefix with the Prefix option from the Text Definition group.

Skip First Patch Code

Check this box if you want to skip the first patch code detected. This option is only available when you are incrementing or resetting your counter when certain patch code types are scanned. You specify how you want to increment your counter with the options in the Counter Increment group . You specify how you want to reset your counter with the options in the Counter Reset group.


Font Setting

The options in this group allow you to select font preferences for an automatic endorser/annotation string.

Note The capabilities of the selected scanner source device will control which font settings are available. Refer to your scanner's documentation for more information about your scanner.

Type

Select the font size for your automatic endorser/annotation text. Only those font sizes supported by the selected scanner source device will be listed in the drop-down list.

Orientation

Select an orientation (direction) for your automatic endorser/annotation text to be printed on the page or image. Only those orientations supported by the selected scanner source device will be listed in the drop-down list.

Note that the orientations listed are based on the capabilities of the endorser on the scanner. It is possible that not all of them are supported for annotations. The only orientations that are valid for annotations are:

Horz/0 degrees

Vert/0 degrees

Vert/90 degrees

Vert/270 degrees

If you select an orientation other than the ones listed above, the endorser string (if any) will be oriented per your selection but the annotation will be oriented Horz/0 degrees.


Patch Code Types

Patch I

Patch II

Patch III

Patch IV

Patch T

Patch VI


Text Definition

The options in this group allow you to specify a text prefix for an automatic endorser/annotation string. Automatic endorser/annotation strings are made up of a prefix string and a counter value.

Prefix

Enter an alphanumeric prefix for your automatic endorser/annotation string. You can enter up to the maximum length supported for your scanner. Refer to your scanner's documentation for more information about your scanner.

Note: The automatic endorser/annotation string is made up of a text prefix and a counter, and you must consider the length of both to determine the length of the string. You specify the number of digits in the counter with the Digit option from the Counter Start group .

Top

Select the top position on the page/image for the automatic endorser/annotation text. You must specify this value in pixels.

Left

Select the left position on the page and/or image for the automatic endorser/annotation text. You must specify this value in pixels.

Note Not all scanners allow you to select a top and/or left position for your endorser string. Refer to your scanner's documentation for more information about your scanner.


2:1 Ratio Bar Code


3:1 Ratio Bar Code


Bar Code Checksum

If the bar codes contain a checksum, select this check box to cause the bar code reader to automatically verify the checksum.

Some bar codes contain a checksum character. The checksum is usually the last character in the bar code, and is used by the bar code recognition driver to determine the validity of the bar code. (The checksum is only used to determine if a bar code is valid; it is not returned as part of the bar code data.)

Not all bar code types support a checksum character. Of the bar code types that do, some support a mandatory checksum, while others support an optional checksum.

  • For bar code types that do not support a checksum, such as Codabar or Code 93, no checksum verification is attempted. No additional coding is necessary.

  • For bar code types that contain a mandatory checksum, such as Code 128 or EAN, the bar code driver always checks the checksum character to determine the validity of the bar codes. If the checksum fails, the bar code is not returned. No additional coding is necessary.

  • For bar codes that contain an optional checksum, such as Code 39 or Interleaved 2 of 5, the bar code driver only checks the checksum character if the Checksum check box is selected.

  • If the check box is selected, the last character in the bar code is treated as a checksum character. If the checksum fails, the bar code is not returned. If the checksum succeeds, the bar code data is returned.

  • If the check box is cleared, the last character of the bar code is treated as bar code data.

Note Optional checksum verification only has meaning for these bar code types: Code 39, Interleaved 2 of 5, and Linear 2 of 5. It is ignored for all other bar code types.


Bar Code Height and Width Settings


Bar Code Limits

If multiple bar codes exist on an image, you can specify the maximum number of bar codes to be returned with the settings listed below. Bar codes are returned in the order they are found.

Minimum Characters in Bar Code

Select the minimum number of bar code characters (digits) that must be found before a bar code value is considered valid.

Note This option has no meaning for fixed-length bar codes such as EAN, Postnet, UPC-A, and UPC-E.

Maximum Bar Codes Per Page

Select the maximum number of bar codes that can be on a single page. Once the maximum is reached, the bar code algorithm will stop searching for bar codes.

Maximum Bar Codes Per Line

Select the maximum number of bar codes that can be located along a single line on the page. Once the maximum is reached, the bar code algorithm will stop searching for bar codes.

Note The bar code driver searches for bar codes on a line until the maximum number of bar codes per line is found or the end of the line is reached. It searches for bar codes on an image until the maximum number of bar codes per image is found or the end of the image is reached. For best results when reading multiple bar codes from a line, the bar codes should be closely aligned.


Bar Code Quality

The quality of a bar code refers the condition of bar code elements on an image. For example, sometimes the bar code elements are well defined — the black bars are clearly delineated and very little noise exists on the image. Other times, the black bars are too light or noise exists in the bar code's quiet zone. These factors can affect the bar code driver's accuracy rate.

You can indicate the quality of the bar codes being read by setting the quality to Good, Normal, or Poor.

  • If the bar code elements on an image have smooth edges and are free of noise, set the quality to Normal.

  • If the bar code elements have jagged edges or other characteristics that might make them hard to read, adjust the quality setting to Poor. Doing so will increase the number of probes made to read the bar codes. This will increase the read accuracy rate, but will adversely affect performance.

To see an example of a bar code with many missing elements that should be marked as Poor, click here.

The easiest way to determine the quality is to use the bar code learn feature.


Bar Code Search Direction

The bar code driver searches for bar codes in a linear fashion, probing the search area for potential bar codes. For horizontal bar codes with an orientation of 0, for example, it works down the image starting on the left edge and probing toward the right edge; For vertical bar codes, it works across the image starting on the top edge and probing top to bottom.

Bar codes can be oriented on an image in four general orientations as described below.

Orientation Direction on the Image

0 Horizontal, rotated 0 degrees, read left to right

90 Vertical, rotated 90 degrees to the right, read top to bottom

180 Horizontal, rotated 180 degrees to the right, read right to left

270 Vertical, rotated 270 degrees to the right, read bottom to top

To see an example of these search orientations, click here.

If you check all options, a search for bar codes in all orientations will be performed.

Note Searching for bar codes in all orientations may reduce scan performance.


Bar Code Search Orientations


Bar Code Size

Height

The height of a bar code is the distance between the top of the bars and the bottom of the bars. The height is measured in hundredths of an inch.

To see an example of the bar code height and width settings, click here.

Width

The bar width is the physical thickness of the narrowest bar in a bar code.

The width is used in conjunction with the ratio setting to calculate the widths of the larger bar.

The width of a bar is measured in thousandths of an inch. Most bar widths fall within the following ranges:

0.010 - 0.013 at 200 DPI

0.014 - 0.018 at 300 DPI

For optimal read accuracy rates, the bar width should be specified as close as possible to the actual width. While the bar code driver compensates for some discrepancy, specifying an accurate width can improve performance.

If the width is unknown, the Any Width option should be selected. Doing so causes the bar code driver to dynamically determine the bar width as it searches for potential bar codes. However, it may adversely affect performance.

The best way to determine the actual bar width is to use the bar code learn feature.

Any Width

When you select this option, the bar code detection algorithm will search for bar codes of any width. Use this option if you do not know the actual width of the bar code.

2 to 1 Ratio

Some bar code types support an optional ratio between the narrowest element and the larger elements in the code. For these bar code types, the width of the larger element is a multiple of the width of the narrowest element as follows:

2:1 ratio Width of largest elements is 2 times larger than the narrowest element

3:1 ratio Width of largest elements is 3 times larger than the narrowest element

For example, if the width of the narrowest element is .20", the width of the largest elements will be .040" or .060".

The ratio setting only has meaning for the following bar code types:

Codabar

Code 39

Code 93

Interleaved 2 of 5

Linear 2 of 5

It is ignored for all other bar code types.

To select the 2:1 ratio, select the 2 To 1 check box. To select the 3:1 ratio, clear the check box.

The easiest way to determine the ratio is to use the bar code learn feature.


Bar Code Type

The Type group displays a list of the available bar codes and those that are currently in use by the system.

Available

The Available box displays all of the bar code types that can be read and decoded. The following bar code types are supported:

Codabar Interleaved 2 of 5

Code 128 Linear 2 of 5

Code 39 (3 of 9) Postnet

Code 93 UPC-A

EAN UPC-E

To add a bar code type to the In Use box, double-click on the name in the Available box.

Note that the following bar code types are mutually incompatible; you cannot select their type values together:

Interleaved 2 of 5 and Linear 2 of 5

UPC-A and EAN

UPC-A and UPC-E

Postnet and any other type

In Use

The In Use box displays all of the bar code types that are currently configured for decoding.

To remove a bar code type from the In Use box, double-click on the name.


Example of a Poor Quality Bar Code


Improving Bar Code Detection Accuracy

The accuracy of the bar code detection feature can be improved by adjusting several of the bar code settings. For best results, follow these guidelines:

  • Adjust the bar height and quality to increase the number of search probes. As the height is decreased, the number of probes is increased. Doing so allows more areas on an image to be probed.

  • Adjust the width setting.

  • Adjust the density setting for the scanner. If the bars appear too light, increase the density setting. If the black bars appear too thick, decrease the density setting.

  • Adjust the DPI setting for the scanner. Scanning at a higher resolution will usually improve the accuracy of the driver. Even a slight adjustment (for example, from 200 to 240 DPI can make a difference.

  • When using a Bell+Howell ACE scanner, set the scan mode to Text/Line Art and the Sensitivity setting to S4. Using other ACE settings can cause the scanner to widen some bar code bars in the direction the paper is moving or split some bar code bars in two. Code 128 and Codabar bar code types are particularly susceptible to these problems.


Interpret Bar Code as Patch Code

This group allows you to specify that the detection of a bar code should trigger a patch code level as well as return the bar code value. This might be useful, for example, if there is always a bar code on the first page of each document.

You can select one of the following options (click here to see examples of the patch code types):

No Patch Code Bar codes are not interpreted as patch codes.

Patch Code Type I Bar code is also interpreted as patch code type I.

Patch Code Type II Bar code is also interpreted as patch code type II.

Patch Code Type III Bar code is also interpreted as patch code type III.

Patch Code Type IV Bar code is also interpreted as patch code type IV.

Patch Code Type VI Bar code is also interpreted as patch code type VI.

Patch Code Type T Bar code is also interpreted as patch code type T (transfer patch code).

Note If patch code recognition is enabled, any returned patch code will take precedence over a bar code triggering a patch code level.


Optimizing Bar Code Detection Speed

The speed of the bar code detection feature can be optimized by the careful selection of the bar code settings. For best results, follow these guidelines:

  • Increase the height of the search probe by adjusting the height and quality settings. The speed of the bar code driver will increase proportionately. For example, if the search height is made twice as large, the bar code driver will be twice as fast.

  • Specify only the required the search directions. The bar code driver will search in all specified directions, even if no bar codes exist in some of them. For example, if all of the bar codes on an image are horizontal with an orientation of 0 degrees and you set all search directions, the bar code driver will search all directions.

  • Specify only those types of bar codes that you want to find. For example, if all the bar codes on an image are Code 128, don't force the bar code driver to search for Code 128 and Code 39.

  • Specify the minimum number of characters in a bar code. Doing so allows the bar code driver to more quickly dismiss ineligible objects. (This does not apply to fixed-length bar codes, such as EAN, Postnet, UPC-A, and UPC-E.)

  • Set the maximum number of bar codes on a line to as small a value as possible. Doing so allows the driver to stop searching a line when the appropriate number of bar codes is read.

  • Set the maximum number of bar codes on a page to as small a value as possible. Doing so allows the driver to stop searching on a page when the appropriate number of bar codes is read.


Using the Bar Code Learn Feature

The bar code learn feature dynamically determines the most appropriate values associated with bar codes on an image. It uses the selected bar code type(s) and search direction(s) to detect bar codes on the current image, and updates the following values (click here for more information):

Height

Width

Ratio

Quality

For best results, bar codes should be "learned" using the same scanner and scanner settings that will be used to process images. In addition, you must know the type of bar codes you are using for the learn feature to work properly.

Note The learn feature does not work with Postnet bar codes. In addition, the learn mode operates on one bar code at a time. You cannot "learn" multiple bar codes or mixed bar code types with a single learn operation.

  • To enable this feature from the Bar Code Properties dialog box

  1. Select Enable to enable bar code recognition. The other options on the dialog box will become available.

  2. Select Learn to enable the bar code learn feature.

  3. Select all search directions to search for bar codes.

  4. Select one or more bar code types from the Available list and select Add. If you know the type of bar code on the page, select that type only.

  5. Select OK and then process/scan a single page. When the first bar code matching one of the specified types is detected, the learn operation stops. (If the bar codes on the page do not match one of the specified types, the learn operation will not return valid information.)

  6. Open the Bar Code Properties dialog box. The Height, Width, Ratio, and Quality options are updated to the learned values. For example, the Quality setting might change from Normal to Good.

  7. Retain these learned bar code values and configure the remaining bar code properties in the dialog box.

Note A bar code learn operation can take several minutes to perform. Therefore, make sure the page timeout value is set high enough to allow adequate processing time.


Black Border Removal


Removing Black Borders

To remove a black border, the software starts at the outer left and right edges of the image and works inward turning black pixels into white until it detects a white pixel. Click here to see an example. As soon as it detects a white pixel, the software uses the following logic to determine whether the white pixel is part of white noise in the border or the edge of the image:

  • If a series of white pixels in the black border is less than or equal to the value of the White Noise Gap, it is considered white noise. In this case, the white noise is ignored and the black border removal process continues. Click here for an example of white noise in a black border.

  • If the number of consecutive white pixels is greater than the White Noise Gap, it is considered the end of the border and black border removal process stops.

For best results when removing a black border, make sure you do not set the value of the White Noise Gap too low. This will prematurely stop the black border removal process. If any portion of the black border is not removed, increase the value of the White Noise Gap.

Click here for an example showing the results of a black border removal operation.


White Noise in a Black Border


Hints for Removing Shaded Areas

For best results when deshading an image, follow these guidelines:

  • Set Minimum Width of Area and Minimum Height of Area as large as possible without making the values larger than the smallest shaded area you want to detect. For example, if all shaded areas you want to remove are 5 inches wide and 2 inches tall, you should set Minimum Height of Area to 1.5 inches and Minimum Width of Area to 4.5 inches. Setting these values too small (for example, less than 1 inch) could cause the deshade algorithm to detect text as shaded areas.

  • Leave Maximum Speckle Width and Maximum Speckle Height at their default values. The defaults should be sufficient to detect most shaded areas.

  • Set Speckle Width Compensation and Speckle Height Compensation to 0 (the default) or 1. The defaults should be sufficient for most speckles in detected shaded areas.

To see an example of these deshade settings, click here.


Shade Removal


12-Degree Skew Angle


Hints for Deskewing Images

For best results when deskewing images, follow these guidelines:

  • Both skew detection and skew correction must be enabled for images to be deskewed.

  • Correcting heavily skewed images can affect performance.

  • Additional memory on your Kofax accelerator may improve performance.

  • The skew calculation requires a source image that has a horizontal and vertical flow, such as text or lines. A skew calculation for an image that consists mostly of lines with no horizontal or vertical flow (for example, a picture) can return an invalid skew angle.


Delete Blank Page Threshold (Back Side)

This option allows you to selectively save or delete certain images based on their compressed file sizes. This feature could be useful for deleting certain pages (such as blank pages).

Note This option is available for duplex scanning only.

Select the threshold value (in Kbytes) to use to determine if an image should be saved or deleted. The threshold value defines the minimum size in bytes that the compressed image must be to be saved. You can specify any value between 0 and 32 Kbytes. For example, if you specify 1 as a delete page threshold, any scanned image that contains fewer than 1 Kbytes of data is considered a blank page and will not be saved.

This value applies for the back side of a page only.

Note With some Photomatrix scanners, blank pages can generate noisy images which could make blank pages difficult to detect for deletion. If this occurs, try using the light calibration capabilities of the scanner. Refer to your Photomatrix documentation for more information about your scanner.


Delete Blank Page Threshold (Front Side)

This option allows you to selectively save or delete certain images based on their compressed file sizes. This feature could be useful for deleting certain pages (such as blank pages).

Select the threshold value (in Kbytes) to use to determine if an image should be saved or deleted. The threshold value defines the minimum size in bytes that the compressed image must be to be saved. You can specify any value between 0 and 32 Kbytes. For example, if you specify 1 as a delete page threshold, any scanned image that contains fewer than 1 Kbytes of data is considered a blank page and will not be saved.

This value applies for the front side of a page only.

Note With some Photomatrix scanners, blank pages can generate noisy images which could make blank pages difficult to detect for deletion. If this occurs, try using the light calibration capabilities of the scanner. Refer to your Photomatrix documentation for more information about your scanner.


Image Rotation Options


Rotation (Back Side)

As the image is being scanned or imported, it can be rotated clockwise in 90-degree increments.

Note: This option is available for duplex scanning only.

You can select one of the following rotation options for the back side of each page:

0 No rotation

90 Rotate image 90 degrees

180 Rotate image 180 degrees

270 Rotate image 270 degrees

To see an example of the image rotation options, click here.

Note Saving rotated images is not supported for the CALS file format.


Rotation (Front Side)

As the image is being scanned or imported, it can be rotated clockwise in 90-degree increments.

You can select one of the following rotation options for the front side of each page:

0 No rotation

90 Rotate image 90 degrees

180 Rotate image 180 degrees

270 Rotate image 270 degrees

To see an example of the image rotation options, click here.

Note Saving rotated images is not supported for the CALS file format.


Source Options

The Options group is used to specify image caching and timeout parameters.

Prescan Cache (Image Caching)

To ensure rated-speed scanning, images should be internally buffered (cached) on the Kofax hardware accelerator before they are written to disk.

If images are not cached on the Kofax hardware accelerator, ongoing scan requests cannot be issued until the previous image has been successfully written to disk. On slow PCs, the time required for disk I/O may exceed the scanner’s time allotment for accepting the next scan request needed for rated-speed scanning. Exceeding the time allotment will result in below rated-speed scanner performance. The resulting performance will be the same achieved when scanning in single-page mode.

The Prescan option is used to specify the number of images (pages) to cache in memory on the Kofax hardware accelerator.

Note Regardless of the Prescan Cache setting, the number of images cached will not exceed the amount of memory on the Kofax hardware accelerator. The recommended prescan setting is equal to or greater than 2 for all scanners. If this setting does not result in rated-speed scanning, you may need more memory on your Kofax accelerator.

Page Timeout

Select the amount of time (in seconds) that is allowed to process a single page. If processing (for example, bar code learn) is not completed in less than the specified number of seconds, the process will stop and a timeout error will be reported.

Note that this timeout value should be equal to or greater than the scan start timeout value set in the Scanner Properties dialog box.


Detailed Segment of Scale-to-Gray

Without Scale-to-Gray

With Scale-to-Gray


Display Attributes

This group box allows you to set a variety of image display attributes.

Scale-to-Gray

Select this check box to enable the scale-to-gray feature.

When a scaled image is displayed on a low resolution monitor (for example, VGA) some of the image data is lost, causing slanted lines and text characters to appear jagged. The scale-to-gray feature uses gray to smooth the appearance of jagged lines and text.

Note Due to additional data processing required, displaying gray-scaled images may be slower than displaying non-gray-scaled images.

To see a detailed segment of a line demonstrating the use of gray to smooth the appearance of a jagged line, click here.

Horizontal and Vertical Saturation

You can enhance a displayed image by selecting horizontal or vertical saturation. Saturation causes image scaling operations to emphasize black pixels when reducing the image.

Horizontal Saturation Emphasizes the black pixels going across the image.

Vertical Saturation Emphasizes the black pixels going down the image.


Fit to Width/Height Display Scaling

Fit to Width | Fit to Height


Fixed Display Scaling

1:1 Scaling

1:2 Scaling

2:1 Scaling


Rotation

Select the desired rotation as shown below:

0 No rotation

90 Rotate the image 90 degrees

180 Rotate the image 180 degrees

270 Rotate the image 270 degrees

The displayed image will be rotated clockwise by the selected number of degrees. Click here to see an example of the rotation options.


Scaling

The Scaling group is used to set a variety of parameters that define how an image will be scaled before it is displayed.

Custom

The Custom options allow you to scale your images based on scale factors you provide. You can specify your own in the Source and Destination boxes, or select one of the predefined settings available on the dialog box.

With the Custom options, images are scaled in the ratio Source:Destination (S:D). For example, a ratio of 1:2 enlarges the image by two both horizontally and vertically, and a ratio of 2:1 reduces the image by two.

To specify your own scale factors, enter the desired Source and Destination scale factors for scaling your image.

To select a predefined setting, choose one of the predefined custom settings:

8:1 (12% of actual size)

6:1 (16% of actual size)

4:1 (25% of actual size)

3:1 (33% of actual size)

2:1 (50% of actual size)

1:1 (actual size)

1:2 (200% of actual size)

1:4 (400% of actual size)

To see examples of the various fixed scaling factors, click here.

Fit To

The Fit To options allow your images to be scaled based on the current viewer window size. If the window changes shape or size, the image will be rescaled so it will continue to fit in the window as requested.

Select the Width check box to scale the image so that it fits in the display window from left to right. The aspect ratio will be maintained, so that if the image is higher than the window, not all the image will be shown.

Select the Height check box to scale the image so that it fits in the display window from top to bottom. The aspect ratio will be maintained, so that if the image is wider than the window, not all the image will be shown.

Note f both the Height and Width options are on, the image will be scaled to completely fit in the display window, and the aspect ratio will be maintained.

To see the difference between Fit to Width and Fit to Height scaling, click here.


Hints for Removing Speckles from an Image

For best results when despeckling an image, follow these guidelines:

  • Set the Height and Width options to the appropriate values for your image. Using large values for these options could remove portions of your image that you want to keep. Click here to see an example of these despeckle settings.

  • Check your image to ensure that punctuation marks (such as commas, periods, and quotation marks) are not being removed. If they are, adjust the values of the Height and Width properties.


Speckle Removal


Hints for Removing Horizontal Lines from an Image

For best results when removing horizontal lines, follow these guidelines:

  • Set the Minimum Length parameter to a large enough value so that text objects such as the horizontal bar of a "T" are not mistaken for horizontal lines. Setting a larger value also allows the software to work faster because many objects such as text can be ignored when searching for lines.

  • Set the Maximum Break parameter to a maximum value of 2 or 3 pixels at 200 DPI. Doing so will help prevent text from being considered a line.

Click here to see an example showing horizontal line removal settings.


Hints for Removing Vertical Lines from an Image

For best results when removing vertical lines, follow these guidelines:

  • Set the Minimum Height parameter to a large enough value so that text objects (such as the vertical bar of a capital "T") are not mistaken for vertical lines. Setting a larger value also allows the algorithm to work faster because many objects (such as text) can be ignored when searching for lines.

  • Set the Maximum Break parameter to a maximum value of 2 or 3 pixels at 200 DPI. Doing so will help prevent text from being considered a line.

Click here to see an example showing vertical line removal settings.


Horizontal Character Reconstruction

When you are removing lines from an image, text characters are sometimes damaged. This might occur if the lines being removed happen to intersect text characters on the image.

To repair text that might be damaged when removing lines, you can enable the horizontal and/or vertical character reconstruction features.

Use the following options to repair text when removing horizontal lines. Use the other options on the dialog box to repair text when removing vertical lines.

Enable

Select this check box to enable the horizontal character reconstruction feature.

Minimum Repair Height

Select the minimum height of a character to repair during character reconstruction after a horizontal line removal.

Maximum Repair Width

Select the maximum width of a character to repair during character reconstruction after a horizontal line removal.

Click here to see an example showing horizontal line removal settings.


Vertical Character Reconstruction

When you are removing lines from an image, text characters are sometimes damaged. This might occur if the lines being removed happen to intersect text characters on the image.

To repair text that might be damaged when removing lines, you can enable the horizontal and/or vertical character reconstruction features.

Use the following options to repair text when removing vertical lines. Use the other options on the dialog box to repair text when removing horizontal lines.

Enable

Select this check box to enable the vertical character reconstruction feature.

Minimum Repair Height

Select the minimum height of a character to repair during character reconstruction after a vertical line removal.

Maximum Repair Width

Select the maximum width of a character to repair during character reconstruction after a vertical line removal.


Vertical Line Removal

If your images contain horizontal and/or vertical lines (for example, a medical claims form), you can remove them with the line removal feature. This feature can also repair text that intersects the lines that are removed. Removing lines and repairing characters improves the readability of the image for OCR processing.

Note To maximize performance, it is recommended that you have an Adrenaline hardware accelerator installed in your system.

To removal vertical lines, make your selections from the following options. To remove horizontal lines or repair text, make your selections from the other options on the dialog box.

Enable

Select this check box to enable the vertical line removal feature.

Minimum Height

Select the minimum height of a vertical line to remove.

Maximum Width

Select the maximum width of a vertical line to remove.

Maximum Break

Select a value to use for determining if a white speckle detected in a black line is white noise or the end of the line.

Edge Clean Factor

Select an edge cleanup factor to use during a line removal operation. Typically, a certain amount of black noise (random black speckles) exists on the edges of lines on an image. When a line is removed, this noise remains leaving unwanted speckles on the image. Specifying a line edge clean factor causes these unwanted speckles to be removed.

Click here to see an example showing vertical line removal settings.

Click here to see an example showing the results of a vertical line removal operation.

Click here for hints on removing vertical lines from an image.


Patch Codes

A patch code is a pattern of horizontal black bars separated by spaces and typically placed near the leading edge of a paper document to be scanned. It can be used to separate documents or to stop the scanner. All patch codes are made up of narrow and wide bars as follows:

  • The narrow bars must be 0.08 inch in height

  • The wide bars must be 0.20 inch in height

  • The entire patch code must be 0.80 inch in height

  • The entire patch code should be at least 2.0 inches in width

Click here to see an example of the basic patch code elements.

Note As an alternative to using patch codes, you can specify that a bar code is to be interpreted as a patch code, as well as being used as a bar code. This might be useful, for example, if there is always a bar code on the first page of each document. The Bar Code Properties dialog box is used to configure bar codes for use as patch codes.


Patch I Patch Code


Patch II Patch Code


Patch III Patch Code


Patch IV Patch Code


Patch T Patch Code


Patch VI Patch Code


Stop on Patch Code

In addition to being used as document separators, patch codes can be used as triggers to stop the scanner during scan operations. Using patch codes in this way could be useful for changing scanner settings on-the-fly between batches. This feature is not available when processing images from disk.

To use patch codes to stop the scanner, patch code detection must be enabled. The scanner is stopped when the patch code is detected, allowing the scanner settings to be changed as appropriate.

Enable Scan Stop

Select this check box to enable the patch code trigger feature.

Available

The Available box displays all of the patch code types that can be detected.

Patch Code Type I

Patch Code Type II

Patch Code Type III

Patch Code Type IV

Patch Code Type VI

Patch Code Type T

To add patch code types to the In Use box, select one or more patch codes from the Available box and then select the Add button.

In Use

The In Use box displays all of the patch code types that can be detected.

To remove patch code types from the In Use box, select one or more patch codes from the In Use box and then select the Remove button.

Add Button

Use this button to add a patch type from the Available list to the In Use list. Just select one or more patch code types from the Available list and then select the Add button.

Remove Button

Use this button to remove a patch code type from the In Use list. Just select one or more patch code types from the In Use list and select the Remove button.

Add All Button

Use this button to add all the patch code types from the Available list to the In Use list.


Supported Patch Code Types

The following patch code types can be detected:

Patch I

Patch II

Patch III

Patch IV

Patch VI

Patch T

Note If you are using your scanner's internal patch code drivers, your scanner might only be able to detect a subset of these patch code types. Refer to the documentation that came with your scanner for more information about your scanner.


Advanced Button

This button opens the VirtualReScan Interactive Viewer window.


Color Mode

Select the color mode for the scan operation. The color mode determines how many colors or shades of gray the page being scanned is translated into by the scanner.

The color modes that are available depend on the capabilities of the selected scanner. Typical modes are:

Black & White Select this option to translate the page into black and white.

Color (true color) Select this option to translate the page into a possible 16 million colors.

Grayscale Select this option to translate the page into a possible 256 shades of gray.


Options Button

This button opens the Source Properties dialog box, which is used to specify various operation parameters for your scan/import source.


Other

Automatic Length Detection

Check this check box to specify that scanning should stop when the end of page is detected. No padding to the specified paper size occurs.

Clear this check box to specify that the image should be padded with white space from the end of the page being scanned to the specified paper size.

Not all scanners support this feature.

Continuous Sheet

Check this box to perform a continuous sheet (long scan) operation. Continuous sheet scanning allows you to scan up to 32,767 scan lines. (32,767 scan lines is about 9 feet at 300 DPI or 13 feet at 200 DPI.)

Not all scanners support this feature.

Manual Start

Check this box to specify that scanning is not to start until the Start button on the front panel of the scanner is selected. When using the manual start option, make sure the scan start timeout value is set high enough to give you time to start the scan from the front panel.

Not all scanners support this feature.

Note When scanning with a Kodak scanner, this option will be grayed. Kodak scanners require that the Start button be pressed for scanning to begin. Refer to your Kodak documentation for more information.


Sides

Single-sided

Select this option to enable single-sided scan mode. In the single-sided scan mode, one side of a document is scanned at a time.

Duplex

Select this option to enable duplex scan mode. In the duplex scan mode (sometimes called the double-sided scan mode), a single scan operation scans both sides of a document at the same time.

Note This feature is only available for scanners that support duplex scanning. Refer to the documentation that came with your scanner for more information about your scanner.

Duplex scanning can be performed with a single board or with two boards. The differences are described below.

Single-Board Duplex Scanning

In single-board duplex scanning, a single cable connects the scanner to a board and the two sides of the scanned image are returned to the board through the cable in sequential order.

Dual-Board Duplex Scanning

In dual-board duplex scanning, the scanner has two cables connected to two different boards in the same PC. One side of the image gets returned to the first board and the other image gets returned to the second board.

In addition, while each board is connected to the scanner, only one board controls the scanner. This board is called the primary accelerator. The second board, called the secondary accelerator; only receives data from the scanner; it has no control over the scanner.

The boards to be used as the primary and secondary accelerators for duplex scanning are specified in the Select Scanner dialog box.

Note For dual-board duplex scanning, the primary and secondary accelerators must be the same board type and have the same amount of memory.


Timeout

Scan Start

Select the number of seconds allowed for you to load paper into the scanner after starting a scan operation before the operation will timeout and report a paper out error.

This setting applies only when you are manually feeding pages into the scanner. The recommended setting is 30 seconds.

If you set the timeout value to 0, no timeout will occur.

Note that this timeout value should be set less than or equal to the page timeout value set in the Source Properties dialog box.

When using a Kodak scanner, you should set Scan Start to 0 to avoid a timeout as follows:

  • At the end of a batch: Set Scan Start to 0, and then hit the End button on the scanner at the end of the batch.

  • At calibration time: Some Kodak scanners must be calibrated at various points in the scan operation. The calibration takes time, and it is possible that a timeout could occur before the calibration is complete. To avoid this, set Scan Start to 0. Refer to your Kodak documentation for more information about calibrating your scanner.


Streak Removal Berfore and After

Streak Removal Before and After


Streak Removal Example


Enable Forms Recognition

Enable Front

Select this check box to enable the forms recognition feature for the front side of an image.

Enable Back

Select this check box to enable the forms recognition feature for the back side of an image.


Horizontal Registration

Select this check box to enable horizontal page registration. This option can be used to detect horizontal deviations between the original master forms and the new image.

While enabling this feature can increase the match rate between a form image and a set of master forms, it can also adversely impact performance. Therefore, you should use this feature only as necessary.

Note Vertical registration is always performed. No setting is necessary. Horizontal registration may impact performance; therefore, use it only when necessary. Horizontal registration and scale compensation cannot be used at the same time.

Click here to see an example of horizontal and vertical page registration.


Master Forms

Before you can perform a forms recognition operation, you must have a library of master forms to compare to your scanned or imported images. To build a library of master forms, simply scan and deskew some forms and save them to disk. Clean, blank copies of real-world forms typically processed by the application should be used. If blank forms are not available, forms that are already filled in can be used, although marks on the forms could impact the recognition process. Also, images of forms already saved to disk can be used.

Note For best results, you should use the same image enhancement and cleanup settings when creating a master form as you plan to use when scanning your forms. You must enable DESKEW to return accurate results, and despeckling is recommended.

For convenience, you can save the master forms to a separate directory. The library of master forms needs to be set up one time only, although master forms can be added or deleted from the directory as needed. Alternatively, you can save a series of master forms to a multipage TIFF file.

To recognize forms in different rotations, you must have your master forms available in all the rotations you want to recognize. For example, if the form you want to recognize is rotated 90 or 270 degrees, you must have one master form rotated 90 degrees and another rotated 270 degrees. For upside-down pages, you must have one master form rotated 0 degrees and another rotated 180 degrees.

Once a set of master forms is available, your form can be compared against one or more of the master forms. This is done by enabling forms recognition, adding the desired master forms, and then scanning or importing an image.

You can manage the contents of the Master Forms list with the following buttons:

Add Use this button to display the standard Windows file Open dialog box, which allows you to add master forms to the Master Forms list.

Remove Use this button to remove the selected master form from the Master Forms list. (The maximum value for "Top Candidates" is decremented for each file removed.)

Remove All Use this button to remove all master forms from the Master Forms list.

Multipage TIFF Forms

If a file in the Master Forms list is a multipage TIFF file, you can select a specific page number in the file to be compared against the new image. For example, if you want to compare page 7 of your multipage TIFF file with the new image, select the name of the TIFF file in the Master Forms list, then enter "7" in the "Page to recognize within document" box. (Note that the selected page number is displayed to the left of the filename. For single-page files, the page number is always 1.)


Options

Sometimes, page registration and/or scaling deviations exist between the image being processed and the master form it is being compared against. For example, form images might be:

  • Shifted horizontally and/or vertically from their master forms

  • Scaled differently from their master forms

These differences might occur if different scanners are used to scan the master form and the form image or if different scanner settings are used. They might also occur because of paper slippage as the physical documents enter the scanner's mechanical feeder or optical differences in scanner mechanisms.

The forms recognition feature can detect and report the horizontal page registration and scale variances. This information can enhance post-processing of the forms (for example, OCR and ICR).

The following items are provided in the Options group box.

Horizontal Registration

Select this check box to enable horizontal page registration. This option can be used to detect horizontal deviations between the original master forms and the new image.

While enabling this feature can increase the match rate between a form image and a set of master forms, it can also adversely impact performance. Therefore, you should use this feature only as necessary.

Note Vertical registration is always performed. No setting is necessary. Horizontal registration may impact performance; therefore, use it only when necessary. Horizontal registration and scale compensation cannot be used at the same time.

Scale Compensate

Select this check box to enable the scale compensation feature which will detect scale deviations up to 15 percent between the processed image and the master form. This feature is useful for matching fax or photocopied images, and also for accounting for scan variations from one scanner to another.

Note Scale compensation and horizontal registration cannot be used at the same time.

Example of Scale Compensation and Page Registration

Top Candidates

Select the number of matches to be returned from a forms recognition operation. You can specify any value up to the number of master forms in the list. Set the top candidates value to 0 to return match information for all selected master forms in the list.

The master form that best matches the new image will be returned as the #1 candidate, the next best match as the #2 candidate, and so on.

Note The number of candidates actually returned is dependent upon your application.


Quality

The quality setting specifies how many passes the forms recognition algorithm makes through an image to determine if it matches a master form. Changing this setting increases or decreases the number of passes. The more passes that are made, the slower the processing speed but the greater the certainty of the comparison. (The quality setting controls how thorough a comparison is made. It does not reflect the quality of the image.)

You can select a low, normal, or high quality setting. Low specifies the least number of passes and high specifies the maximum number of passes. For best results, use a high quality setting.


Using the Forms Recognition Feature

To use the forms recognition feature:

  1. Make sure you have a library of master forms available to compare against your scanned or imported images. To build a library of master forms, simply scan and deskew some forms and save them to disk. You should use clean, blank copies of real-world forms you typically process with your application.

Note All master forms must be deskewed.

  2. Select the Enable Front check box. (To perform forms recognition on the back side of a page, select the Enable Back check box.)

  3. Select either Low, Normal, or High as the quality setting.

  4. If desired, select the Horizontal Registration check box or the Scale Compensate check box. These settings will detect registration and/or scaling deviations between the master forms and the image being processed.

  5. If desired, enter a value in the Top Candidates box to specify the number of matches that should be returned from the forms recognition operation.

  6. Add a master form to the Master Forms list by clicking Add and selecting one or more files.

  7. If a file in the Master Forms list is a multipage TIFF file, you can select a specific page number in the file to be compared against the image being processed. For example, if you want to compare page 7 of your multipage TIFF file with the image being processed, select the name of the multipage TIFF file in the Master Forms list, then enter "7" in the "Page to recognize within document" box. (Note that the selected page number is displayed to the left of the filename. For single-page files, the page number is always 1.)

  8. Using your application, scan or import an image. The new image is compared against the files in the Master Forms list and the results are returned to your application.


Character Smoothing

This filter smooths characters and lines. It has the following characteristics:

  • Has no negative impact on the image

  • Increases legibility

  • Increases OCR accuracy

  • Consistently reduces compressed file sizes by 10 to 15 percent

This filter considers the color of the four perpendicular pixels (strong neighbors) of every pixel in the source image. If the majority of the strong neighbors have the color opposite from the pixel's color, the color of the pixel is toggled to match that of its neighbors.


Fill Line Breaks

This filter fills in and smooths lines. It has the following characteristics:

  • May have a negative impact on the image because parallel lines close together may be merged

  • May increase legibility

  • May increase compressed file size

This closing filter sets any pixel to black if it cannot be considered part of at least a 2x2 block of white pixels in the source image.


Fill Line Breaks and Preserve

his filter fills in and smooths lines while maintaining the interline gap. It has the following characteristics:

  • Can have a positive impact on the image because parallel lines close together will not be merged

  • Increases legibility

  • May increase compressed file size

This filter is identical to the Fill Line Breaks filter except that it preserves horizontal and vertical white line segments that are at least one pixel wide.


Guidelines on Using the Image Filters

For best results when using the image filters, follow these guidelines:

  • Character Smoothing always has a positive affect on an image. You can use this filter in combination with any other image filter.

  • The combination of deshade, despeckle, line removal, and the Smooth and Clean image filter will produce better results than just using the Smooth and Clean image filter. However, the Smooth and Clean filter should not be used as an alternative to deshade, despeckle, and line removal.

  • The combination of deshade; despeckle; and the Smooth, Clean, and Preserve image filter will produce better results than just using the Smooth, Clean, and Preserver filter. The Smooth, Clean, and Preserve filter should not be used as an alternative to deshade and despeckle.

  • Thinning should only be applied to images that contain elements that are ballooned or blended together. Applying this filter to an image that does not contain such elements may cause the loss of important data.

  • Light Thicken should be applied to images that have been deshaded and despeckled. (Using this filter may exaggerate background noise.) Light Thicken is less aggressive than the Thicken filter.

  • Thicken should be applied to images that have been deshaded and despeckled. (Using this filter may exaggerate background noise.) Thicken should only be applied to images that contain thin or light elements (such as images containing dot matrix characters or fax images). Applying this filter to an image that does not contain such elements may cause characters and lines to blend together.

  • Fill Line Breaks is recommended for use with images that contain lines. However, it may cause parallel lines close together to be merged (that is, lines that are separated by only one pixel). For images that contain parallel lines that are close together, the Fill Line Breaks and Preserve filter should be used.

  • Fill Line Breaks and Preserve is recommended for use with images that contain lines that are close together (that is, lines that are separated by only one pixel).

  • Outline is a specialty filter that might be useful for certain applications, such as desktop publishing applications. For example, it might be used to create clipart.

Note When using the image filters, it is recommended that you process a test image to determine the best settings for your application. The default settings, which have been calibrated for typical, real-world images, should work in most cases. No adjustments should be necessary. If adjustments are necessary, they should be made carefully to achieve the desired results.


Image Filtering Examples


Light Thicken Filter

This filter thickens characters and lines and may exaggerate background noise, but is not as aggressive as the Thicken filter. It has the following characteristics:

  • May have a negative impact on the image

  • Good for dot matrix characters or for enhancing fax images (for thin or light elements)

  • May increase compressed file size

This filter is a less aggressive version of the Thicken filter. It performs approximately half the thickening of the full version.


Outline

This filter extracts an outline of all image elements. It has the following characteristics:

  • May have a negative impact on the image

  • Will decrease compressed file size


Smooth, Clean, and Preserve

This filter smoothes characters and lines and removes background noise. It has the following characteristics:

  • Usually has a positive impact on the image

  • Increases legibility

  • Increases OCR accuracy

  • Consistently reduces compressed file sizes by at least 10-15 percent

This filter is identical to the Smooth and Clean filter except that it preserves horizontal and vertical black line segments of single pixel width.


Smooth and Clean

This filter smooths characters, removes background noise, and may eliminate lines. It has the following characteristics:

  • Usually has a positive impact on the image

  • Increases legibility

  • Increases OCR accuracy

  • Consistently reduces compressed file sizes by at least 10-15 percent

This filter is faster than using the Thinning filter followed by a Light Thicken, but has exactly the same effect. It will set any black pixel to white if it cannot be considered part of at least a 2x2 block of black pixels in the source image.


Thicken Filter

This filter thickens characters and lines and may exaggerate background noise. It has the following characteristics:

  • May have a negative impact on the image

  • Good for dot matrix characters or for enhancing fax images (for thin or light elements)

  • May increase compressed file size

This dilation filter thickens image elements by setting any white pixel to black if it is perpendicular or diagonally adjacent to at least one black pixel in the source image.


Thinning Filter

This filter thins characters and lines and may remove background noise. It has the following characteristics:

  • May have a negative impact on the image

  • Good for character separation (for elements that are ballooned or blended together)

  • May reduce compressed file size

This erosion filter thins down image elements by setting any black pixel to white if it is perpendicular or diagonally adjacent to at least one white pixel in the source image.